Module
Inhalte
Index 🔎︎

# Add-in-Funktionen, Liste der Analysefunktionen Teil 2

So greifen Sie auf diesen Befehl zu:

Einfügen - Funktion - Kategorie Add-in

## IMABS

Das Ergebnis ist der Absolutbetrag einer komplexen Zahl.

### Syntax

IMABS("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMABS("5+12j") ergibt 13.

## IMCOS

Ergibt den Kosinus einer komplexen Zahl.

## IMCOSHYP

Ergibt den Kosinus Hyperbolicus einer komplexen Zahl.

## IMCOT

Ergibt den Kotangens einer komplexen Zahl.

## IMCOSEC

Ergibt den Kosekans einer komplexen Zahl.

## IMCOSECHYP

Ergibt den Kosekans Hyperbolicus einer komplexen Zahl.

## IMSEC

Ergibt den Sekans einer komplexen Zahl.

## IMSECHYP

Ergibt den Sekans Hyperbolicus einer komplexen Zahl.

## IMSIN

Ergibt den Sinus einer komplexen Zahl.

## IMSINH

Ergibt den Sinus Hyperbolicus einer komplexen Zahl.

## IMTAN

Ergibt den Tangens einer komplexen Zahl.

## IMAGINÄRTEIL

Das Ergebnis ist der imaginäre Anteil einer komplexen Zahl.

### Syntax

IMAGINÄRTEIL("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMAGINÄRTEIL("4+3j") ergibt 3.

## IMARGUMENT

Das Ergebnis ist das Argument (der Winkel phi) einer komplexen Zahl.

### Syntax

IMARGUMENT("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMARGUMENT("3+4j") ergibt 0,927295.

## IMDIV

Das Ergebnis ist die Division aus zwei komplexen Zahlen.

### Syntax

IMDIV("Zähler"; "Nenner")

Zähler, Nenner sind komplexe Zahlen, die in der Form "x+yi" oder "x+yj" eingegeben werden.

### Beispiel

=IMDIV("-238+240i";"10+24i") ergibt 5+12i.

## IMEXP

Das Ergebnis ist die Potenz aus e (der Eulerschen Zahl) mit der komplexen Zahl. Die Konstante e hat den ungefähren Wert 2,71828182845904.

### Syntax

IMEXP("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMEXP("1+j") ergibt 1,47+2,29j (gerundet).

## IMKONJUGIERT

Das Ergebnis ist das konjugiert komplexe Komplement zu einer komplexen Zahl.

### Syntax

IMKONJUGIERT("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMKONJUGIERT("1+j") ergibt 1-j.

## IMLN

Das Ergebnis ist der natürliche Logarithmus (mit der Basis e) einer komplexen Zahl. Die Konstante e hat den ungefähren Wert 2,71828182845904.

### Syntax

IMLN("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMLN("1+j") ergibt 0,35+0,79j (gerundet).

## IMLOG10

Das Ergebnis ist der dekadische Logarithmus einer komplexen Zahl.

### Syntax

IMLOG10("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMLOG10("1+j") ergibt 0,15+0,34j (gerundet).

## IMLOG2

Das Ergebnis ist der binäre Logarithmus einer komplexen Zahl.

### Syntax

IMLOG2("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMLOG2("1+j") ergibt 0,50+1,13j (gerundet).

## IMPOTENZ

Berechnet Komplexe_Zahl hoch Zahl.

### Syntax

IMPOTENZ("Komplexe_Zahl"; Zahl)

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

Zahl ist der Exponent.

### Beispiel

=IMPOTENZ("2+3i";2) ergibt -5+12i.

## IMPRODUKT

Das Ergebnis ist das Produkt von bis zu 29 komplexen Zahlen.

### Syntax

IMPRODUKT("KomplexeZahl"; "KomplexeZahl 1"; ...)

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMPRODUKT("3+4j";"5-3j") ergibt 27+11j.

## IMREALTEIL

Das Ergebnis ist der reelle Anteil einer komplexen Zahl.

### Syntax

IMREALTEIL("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMREALTEIL("1+3j") ergibt 1.

## IMSUB

Das Ergebnis ist die Subtraktion aus zwei komplexen Zahlen.

### Syntax

IMSUB("KomplexeZahl 1"; "KomplexeZahl 2")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMSUB("13+4j";"5+3j") ergibt 8+j.

## IMSUMME

Das Ergebnis ist die Summe aus bis zu 29 komplexen Zahlen.

### Syntax

IMSUMME("KomplexeZahl 1"; "KomplexeZahl 2"; ...)

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMSUMME("13+4j";"5+3j") ergibt 18+7j.

## IMWURZEL

Das Ergebnis ist die Wurzel einer komplexen Zahl.

### Syntax

IMWURZEL("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

### Beispiel

=IMWURZEL("3+4i") ergibt 2+1i.

## KOMPLEXE

Das Ergebnis ist eine komplexe Zahl, die sich aus Realteil und Imaginärteil ergibt.

### Syntax

KOMPLEXE(ReeleZahl; IZahl; Suffix)

ReelleZahl ist der reelle Koeffizient der komplexen Zahl.

IZahl ist der imaginäre Koeffizient der komplexen Zahl.

Suffix ist eine Liste von Optionen, "i" oder "j".

### Beispiel

=KOMPLEXE(3;4;"j") ergibt 3+4j.

## OKTINBIN

Das Ergebnis ist die Binärzahl der eingegebenen Oktalzahl.

### Syntax

OKTINBIN(Zahl; Stellen)

Zahl ist die Oktalzahl. Die Zahl kann aus maximal 10 Stellen bestehen. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

### Beispiel

=OKTINBIN(3;3) ergibt 011.

## OKTINDEZ

Das Ergebnis ist die Dezimalzahl der eingegebenen Oktalzahl.

### Syntax

OKTINDEZ(Zahl)

Zahl ist die Oktalzahl. Die Zahl kann aus maximal 10 Stellen bestehen. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

### Beispiel

=OKTINDEZ(144) ergibt 100.

## OKTINHEX

Das Ergebnis ist die Hexadezimalzahl der eingegebenen Oktalzahl.

### Syntax

OKTINHEX(Zahl; Stellen)

Zahl ist die Oktalzahl. Die Zahl kann aus maximal 10 Stellen bestehen. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

### Beispiel

=OKTINHEX(144;4) ergibt 0064.

## UMRECHNEN

Rechnet einen Wert aus einer Maßeinheit in eine andere um. Geben Sie die Maßeinheiten direkt als Text in Anführungszeichen oder als Bezug ein. Für die Eingabe von Maßeinheiten in Zellen ist die Schreibweise in der folgenden Liste, einschließlich der Groß- und Kleinschreibung, strikt zu beachten: Um etwa ein kleines l (für Liter) in eine Zelle einzufügen, geben Sie ein Hochkomma ' und direkt im Anschluss das l ein.

Eigenschaft | Einheiten
Masse | g, sg, lbm, u, ozm, stone, ton, grain, pweight, hweight, shweight, brton
Länge | m, mi, Nmi, in, ft, yd, ang, Pica, ell, parsec, lightyear, survey_mi
Uhrzeit | yr, day, hr, mn, sec, s
Druck | Pa, atm, at, mmHg, Torr, psi
Kraft | N, dyn, dy, lbf, pond
Energie | J, e, c, cal, eV, ev, HPh, Wh, wh, flb, BTU, btu
Leistung | W, w, HP, PS
Feldstärke | T, GA
Temperatur | C, F, K, kel, Reau, Rank
Volumen | l, L, lt, tsp, tbs, oz, cup, pt, us_pt, qt, gal, m3, mi3, Nmi3, in3, ft3, yd3, ang3, Pica3, barrel, bushel, regton, Schooner, Middy, Glass
Fläche | m2, mi2, Nmi2, in2, ft2, yd2, ang2, Pica2, Morgen, ar, acre, ha
Geschwindigkeit | m/s, m/sec, m/h, mph, kn, admkn
Information | bit, byte

Maßeinheiten in Fettdruck kann ein Präfixzeichen aus der folgenden Liste vorangestellt werden:

Präfix | Multiplikator
Y (Yotta) | 10^24
Z (Zeta) | 10^21
E (Exa) | 10^18
P (Peta) | 10^15
T (Tera) | 10^12
G (Giga) | 10^9
M (Mega) | 10^6
k (Kilo) | 10^3
h (Hekto) | 10^2
e (Deka) | 10^1
d (Dezi) | 10^-1
c (Zenti) | 10^-2
m (Milli) | 10^-3
u (Mikro) | 10^-6
n (Nano) | 10^-9
p (Piko) | 10^-12
f (Femto) | 10^-15
a (Atto) | 10^-18
z (Zepto) | 10^-21
y (Yokto) | 10^-24

Den Informationseinheiten "Bit" und "Byte" kann auch eines der folgenden IEC 60027-2 / IEEE 1541 Präfixe vorangestellt werden:

ki Kibi 1024

Mi Mebi 1048576

Gi Gibi 1073741824

Ti Tebi 1099511627776

Pi Pebi 1125899906842620

Ei Exbi 1152921504606850000

Zi Zebi 1180591620717410000000

Yi Yobi 1208925819614630000000000

Die Funktionen, deren Namen mit _ADD oder _EXCEL2003 enden, geben dieselben Ergebnisse zurück wie die entsprechenden Microsoft Excel-Funktionen ohne Endung. Verwenden Sie die Funktionen ohne Endung, um Ergebnisse zu erhalten, die auf internationalen Standards basieren.

### Syntax

UMRECHNEN(Zahl; "Ausgangseinheit"; "Zieleinheit")

Zahl ist die Zahl, die umgewandelt wird.

Ausgangseinheit ist die Einheit, aus der umgewandelt wird.

Zieleinheit ist die Einheit, in die die Umwandlung stattfindet. Beide Einheiten müssen vom selben Typ sein.

### Beispiel

=UMRECHNEN(10;"HP";"PS") ergibt, gerundet auf zwei Dezimalstellen, 10,14. 10 HP sind 10,14 PS.

=UMRECHNEN(10;"km";"mi") ergibt, gerundet auf zwei Dezimalstellen, 6,21. 10 Kilometer sind 6,21 Meilen. Das k ist ein erlaubtes Präfixzeichen für den Faktor 10^3.

## ZWEIFAKULTÄT

Ergibt die Zweifakultät einer Zahl.

### Syntax

ZWEIFAKULTÄT(Zahl)

Ergibt Zahl !!, die Zweifakultät von Zahl. Zahl ist eine ganze Zahl größer gleich Null.

Für gerade Zahlen ergibt ZWEIFAKULTÄT(n):

2*4*6*8* ... *n

Für ungerade Zahlen ergibt ZWEIFAKULTÄT(n):

1*3*5*7* ... *n

Per Definition ergibt ZWEIFAKULTÄT(0) 1.

### Beispiel

=ZWEIFAKULTÄT(5) ergibt 15.

=ZWEIFAKULTÄT(6) ergibt 48.

=ZWEIFAKULTÄT(0) ergibt 1.

Verwandte Themen

Add-in-Funktionen

Add-in-Funktionen, Liste der Analysefunktionen Teil 1

Statistikfunktionen

Funktionen nach Kategorie